# $Revision: 1.43 $, $Date: 2008-01-06 21:12:37 $
#
# Conditional build:
%bcond_without	threestore	# with 3store
#
Summary:	Redland - a library that provides a high-level interface for RDF
Summary(pl.UTF-8):	Redland - biblioteka udostępniająca wysokopoziomowy interfejs do RDF
Name:		redland
Version:	1.0.7
Release:	1
License:	LGPL v2.1+ or GPL v2+ or Apache 2.0
Group:		Libraries
Source0:	http://download.librdf.org/source/%{name}-%{version}.tar.gz
# Source0-md5:	4c066d3dcf6c25f8fb8c9007e73f293c
Patch0:		%{name}-link.patch
Patch1:		%{name}-storage-file.patch
URL:		http://librdf.org/
%if %{with threestore}
BuildRequires:	3store-devel >= 2.0
BuildRequires:	3store-devel < 3.0
%endif
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.7
BuildRequires:	db-devel
BuildRequires:	gtk-doc
BuildRequires:	libltdl-devel
BuildRequires:	libraptor-devel >= 1.4.16
BuildRequires:	libtool
BuildRequires:	mysql-devel >= 3.23.58
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel
BuildRequires:	rasqal-devel >= 1:0.9.15
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3
Requires:	libraptor >= 1.4.16
Requires:	rasqal >= 1:0.9.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Redland is a library that provides a high-level interface for RDF
allowing the RDF graph to be parsed from XML, stored, queried and
manipulated. Redland implements each of the RDF concepts in its own
class via an object based API, reflected into the other language APIs:
Perl, Python, Tcl, Java and Ruby. Some of the classes providing the
parsers, storage mechanisms and other elements are built as modules
that can be added or removed as required.

%description -l pl.UTF-8
Redland to biblioteka udostępniająca wysokopoziomowy interfejs do RDF,
pozwalająca na analizę grafu RDF z XML-a, jego przechowywanie,
odpytywanie i obróbkę. Redland zawiera implementacje każdego pojęcia z
RDF w osobnej klasie poprzez obiekt oparty na API, mający
odzwierciedlenie w API dla innych języków: Perla, Pythona, Tcl-a, Javy
i Ruby'ego. Część klas udostępniających analizatory, mechanizmy
przechowywania i inne elementy jest zbudowana jako moduły, które mogą
być dodawane lub usuwane w razie potrzeby.

%package devel
Summary:	Headers for Redland RDF library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Redland RDF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	db-devel
Requires:	libltdl-devel
Requires:	libraptor-devel >= 1.4.16
Requires:	rasqal-devel >= 1:0.9.15

%description devel
Headers for Redland RDF library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Redland RDF.

%package static
Summary:	Static Redland RDF library
Summary(pl.UTF-8):	Statyczna biblioteka Redland RDF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Redland RDF library.

%description static -l pl.UTF-8
Statyczna biblioteka Redland RDF.

%package storage-mysql
Summary:	MySQL storage plugin for Redland RDF library
Summary(pl.UTF-8):	Wtyczka przechowywania danych w bazie MySQL dla biblioteki Redland RDF
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description storage-mysql
MySQL storage plugin for Redland RDF library.

%description storage-mysql -l pl.UTF-8
Wtyczka przechowywania danych w bazie MySQL dla biblioteki Redland
RDF.

%package storage-postgresql
Summary:	PostgreSQL storage plugin for Redland RDF library
Summary(pl.UTF-8):	Wtyczka przechowywania danych w bazie PostgreSQL dla biblioteki Redland RDF
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description storage-postgresql
PostgreSQL storage plugin for Redland RDF library.

%description storage-postgresql -l pl.UTF-8
Wtyczka przechowywania danych w bazie PostgreSQL dla biblioteki
Redland RDF.

%package storage-sqlite
Summary:	SQLite storage plugin for Redland RDF library
Summary(pl.UTF-8):	Wtyczka przechowywania danych w bazie SQLite dla biblioteki Redland RDF
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description storage-sqlite
SQLite storage plugin for Redland RDF library.

%description storage-sqlite -l pl.UTF-8
Wtyczka przechowywania danych w bazie SQLite dla biblioteki Redland
RDF.

%package storage-tstore
Summary:	3store storage plugin for Redland RDF library
Summary(pl.UTF-8):	Wtyczka przechowywania danych w bazie 3store dla biblioteki Redland RDF
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description storage-tstore
3store storage plugin for Redland RDF library.

%description storage-tstore -l pl.UTF-8
Wtyczka przechowywania danych w bazie 3store dla biblioteki Redland
RDF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's,bdbc_prefix/lib$,bdbc_prefix/%{_lib},' configure.ac

%build
%{__libtoolize}
%{__gtkdocize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-modular \
	--with-html-dir=%{_gtkdocdir} \
	--with-raptor=system \
	--with-rasqal=system \
	--with%{!?with_threestore:out}-threestore

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/redland/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* FAQS.html LICENSE.html NEWS.html README.html RELEASE.html TODO.html
%attr(755,root,root) %{_bindir}/rdfproc
%attr(755,root,root) %{_bindir}/redland-db-upgrade
%attr(755,root,root) %{_libdir}/librdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librdf.so.0
%dir %{_libdir}/redland
%attr(755,root,root) %{_libdir}/redland/librdf_storage_file.so
%dir %{_datadir}/redland
%{_datadir}/redland/mysql-v*.ttl
%{_mandir}/man1/rdfproc.1*
%{_mandir}/man1/redland-db-upgrade.1*

%files devel
%defattr(644,root,root,755)
%doc docs/{README.html,storage.html}
%attr(755,root,root) %{_bindir}/redland-config
%attr(755,root,root) %{_libdir}/librdf.so
%{_libdir}/librdf.la
%{_includedir}/librdf.h
%{_includedir}/rdf_*.h
%{_includedir}/redland.h
%{_datadir}/redland/Redland.i
%{_pkgconfigdir}/redland.pc
%{_mandir}/man1/redland-config.1*
%{_mandir}/man3/redland.3*
%{_gtkdocdir}/redland

%files static
%defattr(644,root,root,755)
%{_libdir}/librdf.a

%files storage-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/redland/librdf_storage_mysql.so

%files storage-postgresql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/redland/librdf_storage_postgresql.so

%files storage-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/redland/librdf_storage_sqlite.so

%if %{with threestore}
%files storage-tstore
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/redland/librdf_storage_tstore.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: redland.spec,v $
Revision 1.43  2008-01-06 21:12:37  qboosh
- updated to 1.0.7
- updated link patch, added storage-file patch
- use new modular build option, less devel deps

Revision 1.42  2008-01-03 19:03:38  qboosh
- keyutils is krb5 dependency

Revision 1.41  2008-01-03 18:58:02  pascalek
- missing BRs and gtkdocize

Revision 1.40  2007-12-24 00:31:44  glen
- rel 4 (pkg gone, resend)

Revision 1.39  2007-12-14 19:07:24  qboosh
- b-t reverted
- adjusted link patch and bdbc_libdir in configure just to stop complaining
- added ghost symlink

Revision 1.38  2007-12-10 23:04:52  rotom
- BR added

Revision 1.37  2007-11-18 17:58:41  arekm
- rel 3

Revision 1.36  2007-10-13 23:38:52  dzeus
- rel. 2

Revision 1.35  2007/05/11 23:40:01  qboosh
- updated to 1.0.6
- updated link patch

Revision 1.34  2007/03/19 00:04:27  glen
- threestore bcond

Revision 1.33  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.31  2007/02/03 17:05:25  qboosh
- updated to 1.0.5
- added link patch (needed to build with as-needed; adds db 4.5 support)

Revision 1.30  2006/05/28 07:00:31  qboosh
- updated to 1.0.4, removed obsolete db4.4 patch

Revision 1.29  2006/02/20 23:09:06  qboosh
- added db4.4 patch
- enabled 3store storage

Revision 1.28  2006/02/19 21:37:29  qboosh
- updated to 1.0.3 (now with postgresql and sqlite3 storage; 3store todo)

Revision 1.27  2005/10/30 11:59:48  arekm
- rel 4

Revision 1.26  2005/09/06 15:52:30  glen
- rel 3 for rebuild of heimdal

Revision 1.25  2005/06/12 11:30:52  undefine
- release 2

Revision 1.24  2005/06/12 09:19:01  qboosh
- needs rasqal >= 0.9.10

Revision 1.23  2005/06/11 01:57:46  aredridel
- up to 1.0.2

Revision 1.22  2005/05/29 18:14:45  aredridel
- up to 1.0.1

Revision 1.21  2005/02/07 17:55:56  qboosh
- updated raptor and rasqal deps

Revision 1.20  2005/02/06 22:41:34  aredridel
- up to 1.0.0

Revision 1.19  2004/12/25 18:35:54  ankry
- rel. 2

Revision 1.18  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.17  2004/11/02 21:33:24  qboosh
- updated to 0.9.19, new License (LGPL v2.1+/GPL v2+/Apache v2)

Revision 1.16  2004/10/24 23:10:02  paladine
- spelling fixes, uppercases, etc.

Revision 1.15  2004/08/04 20:59:00  qboosh
- updated to 0.9.18, removed obsolete system-raptor patch
- use system rasqal
- bindings have been moved to separate package

Revision 1.14  2004/07/28 08:03:19  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.13  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.12  2004/03/04 13:20:17  qboosh
- updated system-raptor patch, updated deps, added redland.pc, fixed python files

Revision 1.11  2004/03/03 18:23:39  radzio
- updated to 0.9.16
- --with-python

Revision 1.10  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.9  2003/10/07 22:30:14  qboosh
- 0.9.14 for raptor 1.0.0
- updated system-raptor patch (mostly obsolete, now it exists only to build
  redland-enabled rapper)

Revision 1.8  2003/09/07 00:56:40  qboosh
- 0.9.13, updated system-raptor patch
- removed obsolete amfix,system-repat patches

Revision 1.7  2003/05/30 12:08:27  qboosh
- merged lost change:
  Revision 1.5  2003/05/23 19:48:22  qboosh
  - added patch, use system repat

Revision 1.6  2003/05/28 13:01:39  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/22 21:40:09  qboosh
- finished C library (other languages not ready yet)

Revision 1.3  2003/05/16 09:07:54  qboosh
- no empty epoch, valid release

Revision 1.2  2003/05/16 08:24:24  qboosh
- no empty icon

Revision 1.1  2003/05/14 07:40:45  qboosh
- saving URLs
